> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apsio.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish signing in: set the session and return to the console



## OpenAPI

````yaml /api-reference/openapi.json get /auth/callback
openapi: 3.1.0
info:
  title: Apsio API
  version: 0.1.0
  description: >-
    Read API v0: your projects, release health and comparisons, missing symbols,
    issues, sessions, vitals, cohort comparisons, performance (app start,
    screens, hangs, MetricKit) and network endpoints and traces for one project.
    Authenticate with a project token as a bearer token, with an OAuth access
    token from Apsio's authorization server (MCP clients), or, from the console,
    with the session cookie of a member of the project's organization.
servers:
  - url: https://api.apsio.io/v1
security: []
paths:
  /auth/callback:
    get:
      summary: 'Finish signing in: set the session and return to the console'
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: code
          in: query
        - schema:
            type: string
            minLength: 1
          required: true
          name: state
          in: query
      responses:
        '302':
          description: Signed in; redirect to the console
        '400':
          description: Bad state

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.